from random import *

seed(123123)

def to_string(n, l, r, a):
    astr = " ".join(map(str, a))

    return "{} {} {}\n{}\n".format(n, l, r, astr)

def gen_rand(n, l, r):
    a = [randint(1, 10**9) for i in range(n)]
    return to_string(n, l, r, a)

def gen_same(n):
    l = randint(1, n - 1)
    r = randint(l, n - 1)
    a = [randint(1, 10**9)] * n
    return to_string(n, l, r, a)

def gen_inc(n):
    start = randint(1, 10**9 - n)
    l = randint(1, n - 1)
    r = randint(l, n - 1)
    a = [i for i in range(start, start + n)]
    return to_string(n, l, r, a)

def gen_dec(n):
    start = randint(n, 10**9)
    l = randint(1, n - 1)
    r = randint(l, n - 1)
    a = [i for i in range(start, start - n, -1)]
    return to_string(n, l, r, a)

def write_test(n, test_str):
    filename = "{:0>2}".format(n)
    filename += ".in"
    f = open(filename, "w")
    f.write(test_str)

for i in range(2, 12):
    n = 1000
    l = randint(1, n - 1)
    r = randint(l, n - 1)
    write_test(i, gen_rand(n, l, r))

for i in range(12, 17):
    n = 100000
    l = randint(1, n - 1)
    r = n - 1
    write_test(i, gen_rand(n, l, r))

for i in range(17, 22):
    n = 100000
    l = 1
    r = randint(1, n - 1)
    write_test(i, gen_rand(n, l, r))

for i in range(22, 27):
    n = 100000
    l = randint(1, n - 1)
    r = randint(l, n - 1)
    write_test(i, gen_rand(n, l, r))

write_test(27, gen_same(100000))
write_test(28, gen_same(100000))
write_test(29, gen_rand(100000, 1, 99999))
write_test(30, gen_dec(100000))
write_test(31, gen_inc(100000))



